/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct CheckUserMfaRequest {
    /// The email or username used to login
    #[serde(rename = "login_id")]
    pub login_id: String,
}

impl CheckUserMfaRequest {
    pub fn new(login_id: String) -> CheckUserMfaRequest {
        CheckUserMfaRequest { login_id }
    }
}
